export { t as jsonSchemaTypes } from './extensions-CgL535Ik.cjs';
import './types.cjs';
import 'json-schema';
import 'openapi-types';

/**
 * Lookup a reference pointer within an OpenAPI definition and return the schema that it resolves
 * to.
 *
 * @param $ref Reference to look up a schema for.
 * @param definition OpenAPI definition to look for the `$ref` pointer in.
 */
declare function findSchemaDefinition($ref: string, definition?: {}): any;

declare const _default: {
    formUrlEncoded: (mimeType: string) => boolean;
    json: (contentType: string) => boolean;
    multipart: (contentType: string) => boolean;
    wildcard: (contentType: string) => boolean;
    xml: (contentType: string) => boolean;
};

declare const supportedMethods: Set<string>;

export { findSchemaDefinition, _default as matchesMimeType, supportedMethods };
